#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

new STRING_VERSION[MAX_DATA_LENGTH] = "1.0";

#define MAX_KEYWORDS	10

new g_SettingFile[MAX_TEXT_LENGTH]="addons/adminmod/config/motdlinks.ini";
new g_iFileSize;

new g_Keyword[MAX_KEYWORDS][MAX_NAME_LENGTH];
new g_Site[MAX_KEYWORDS][MAX_TEXT_LENGTH];


public plugin_init() {
	plugin_registerinfo("Sdal's MotD","Opens internet pages in motd-window after entering special keyword in chat",STRING_VERSION);
	plugin_registercmd("say","HSay",ACCESS_ALL);
	load_data();
	return PLUGIN_CONTINUE;
}

load_data(){
	new Data[MAX_DATA_LENGTH];
	new Text[MAX_TEXT_LENGTH];
	new i;
	if(fileexists(g_SettingFile)){
		g_iFileSize=filesize(g_SettingFile);
		if(g_iFileSize>MAX_KEYWORDS){
			g_iFileSize=MAX_KEYWORDS;
			snprintf(Text,MAX_TEXT_LENGTH,"[SDAL-MOTD] max. keywords and pages of %i reached! Please increase MAX_KEYWORDS in source code!",MAX_KEYWORDS);
			selfmessage(Text);
		}
		for(i=0;i<=g_iFileSize;i++){
			readfile(g_SettingFile,Data,i,MAX_DATA_LENGTH);
			strsep(Data," ",g_Keyword[i],MAX_NAME_LENGTH,g_Site[i],MAX_TEXT_LENGTH);
		}
	}
	snprintf(Text,MAX_TEXT_LENGTH,"[SDAL-MOTD] %i keywords and pages loaded!",g_iFileSize);
	selfmessage(Text);
}

public HSay(HLCommand,HLData,HLUserName,UserIndex) {
	new sData[MAX_DATA_LENGTH];
	new sCommand[MAX_COMMAND_LENGTH];
	new sName[MAX_NAME_LENGTH];
	new i;
	
	convert_string(HLCommand,sCommand,MAX_COMMAND_LENGTH);
	convert_string(HLData,sData,MAX_DATA_LENGTH);
	convert_string(HLUserName,sName,MAX_COMMAND_LENGTH);
	strstripquotes(sData);

	for(i=0;i<=g_iFileSize;i++){
		if(strcmp(sData,g_Keyword[i])==0){
			open_motd(sName,i);
			break;
		}
	}
	return PLUGIN_CONTINUE;	
}

open_motd(sName[],iSite){
	new sText[2048]="<html>^n<head>^n<meta http-equiv=^"REFRESH^" content=^"0;url=%s^">^n</head>^n<body>^n<div>Loading...</div>^n</body>^n</html>";
	snprintf(sText,2048,sText,g_Site[iSite]);
	motd(sName,sText);
	return PLUGIN_CONTINUE;
}


	